import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import './assets/iconfont/iconfont.css'
import './assets/iconfont/iconfont.js'
import './assets/iconfont2/iconfont.css'
import flexible from './tool/flexible.js'
import 'ant-design-vue/dist/antd.css';
import Antd from 'ant-design-vue';
import './assets/style/style.less'
import VueLazyload from "vue-lazyload";
import i18n from './lang/index'
import "../node_modules/@flaticon/flaticon-uicons/css/all/all.css"
flexible()

// console.log(process.env)



let loadingParam =  {
    loading: require('./assets/images/homePage/loading.gif'),
    attempt: 1
    }

createApp(App).use(store).use(router).use(Antd).use(VueLazyload,loadingParam).use(i18n).mount('#app')
